<?php

namespace App\Gateway;

use App\Connexion;
use \PDO;

class AuthGateway {
    private Connexion $con;

    /**
     * @param Connexion $con
     */
    public function __construct(Connexion $con) {
        $this->con = $con;
    }

    public function insertAccount(string $username, string $password, string $email) {
        $this->con->exec("INSERT INTO AccountUser VALUES (:username,:password,:email)", [':username' => [$username, PDO::PARAM_STR],':password'=> [$password, PDO::PARAM_STR],':email'=>[$email, PDO::PARAM_STR]]);
    }


} 